Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 665948

Summary: net-analyzer/monitoring-plugins: Validate DEPEND on virtual/mysql
Product: Gentoo Linux Reporter: Brian Evans <grknight>
Component: Current packagesAssignee: Tomáš Mózes <hydrapolic>
Status: RESOLVED FIXED    
Severity: normal CC: mjo, proxy-maint
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/9996
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 763480    

Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:32:31 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Michael Orlitzky gentoo-dev 2018-09-23 01:34:09 UTC
This still shares its build system with nagios-plugins, and looks for mysql_config at build-time. So I think the right thing to do is replace virtual/mysql with dev-db/mysql-connector-c in (R)DEPEND. Here's what I did in nagios-plugins:

  $ diff nagios-plugins-2.2.1-r[23].ebuild
  14c14
  < KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ppc ppc64 sparc x86"
  ---
  > KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
  28c28
  < 	mysql? ( virtual/mysql )
  ---
  > 	mysql? ( dev-db/mysql-connector-c )
Comment 2 Larry the Git Cow gentoo-dev 2018-09-28 18:14:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c975b53a53ba2c134a650ca570971d85cafda747

commit c975b53a53ba2c134a650ca570971d85cafda747
Author:     Tomas Mozes <hydrapolic@gmail.com>
AuthorDate: 2018-09-28 08:00:45 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-09-28 18:14:41 +0000

    net-analyzer/monitoring-plugins: replace virtual/mysql dependency
    
    Closes: https://bugs.gentoo.org/665948
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>
    Package-Manager: Portage-2.3.50, Repoman-2.3.11
    Closes: https://github.com/gentoo/gentoo/pull/9996

 .../monitoring-plugins-2.2-r3.ebuild               | 104 +++++++++++++++++++++
 1 file changed, 104 insertions(+)